Issue 83146 - In 680m235, i18npool fails to build with system icu
Summary: In 680m235, i18npool fails to build with system icu
Status: CLOSED FIXED
Alias: None
Product: Internationalization
Classification: Code
Component: i18npool (show other issues)
Version: 680m235
Hardware: All All
: P1 (highest) Trivial (vote)
Target Milestone: ---
Assignee: ooo
QA Contact: issues@l10n
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2007-10-31 03:49 UTC by ht990332
Modified: 2013-08-07 15:02 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
configure check (1017 bytes, patch)
2007-10-31 21:08 UTC, rene
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description ht990332 2007-10-31 03:49:47 UTC
This was working in m233

=============
Building project i18npool
=============
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/inc
mkout -- version: 1.7
-------------
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator
dmake: Executing shell macro: ls data/*.txt
dmake: Executing shell macro: $(MAKEDEPEND) @$(mktmp -f - -p$(SLO) $(MKDEPFLAGS)
$(CDEFS) $(CDEFSSLO) $(CDEFSMT) $i ) >> $@
dmake: Executing shell macro: $(MAKEDEPEND) @$(mktmp -f - -p$(SLO) $(MKDEPFLAGS)
$(CDEFS) $(CDEFSSLO) $(CDEFSMT) $i ) >> $@
dmake: Executing shell macro: $(MAKEDEPEND) @$(mktmp -f - -p$(SLO) $(MKDEPFLAGS)
$(CDEFS) $(CDEFSSLO) $(CDEFSMT) $i ) >> $@
dmake: Executing shell macro: $(MAKEDEPEND) @$(mktmp -f - -p$(SLO) $(MKDEPFLAGS)
$(CDEFS) $(CDEFSSLO) $(CDEFSMT) $i ) >> $@
dmake: Executing shell macro: $(MAKEDEPEND) @$(mktmp -f - -p$(SLO) $(MKDEPFLAGS)
$(CDEFS) $(CDEFSSLO) $(CDEFSMT) $i ) >> $@
dmake: Executing shell macro: $(MAKEDEPEND) @$(mktmp -f - -p$(SLO) $(MKDEPFLAGS)
$(CDEFS) $(CDEFSSLO) $(CDEFSMT) $i ) >> $@
dmake: Executing shell macro: $(MAKEDEPEND) @$(mktmp -f - -p$(SLO) $(MKDEPFLAGS)
$(CDEFS) $(CDEFSSLO) $(CDEFSMT) $i ) >> $@
cat /tmp/mkcfj5xo >> ../../unxlngi6.pro/misc/all_breakiterator.dpslo
------------------------------
Making: ../../unxlngi6.pro/slo/breakiteratorImpl.obj
g++  -fmessage-length=0 -c -Os -fno-strict-aliasing   -I. 
-I../../unxlngi6.pro/inc/breakiterator -I../inc -I../../inc/pch -I../../inc
-I../../unx/inc -I../../unxlngi6.pro/inc -I.
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/external
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/unxlngi6/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/res
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc/Xp31
-I/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include -I/usr/include    
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/offuh -I.
-I../../res -I. -pipe -mtune=pentiumpro -fvisibility-inlines-hidden -Wall
-Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor
  -fpic -DLINUX -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DNPTL -DGLIBC=2
-DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1
-DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX
-DCPPU_ENV=gcc3
-DGXX_INCLUDE_PATH=/usr/lib/gcc/i686-pc-linux-gnu/4.2.2/../../../../include/c++/4.2.2
-DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE
-DGSTREAMER -DCUI -DSOLAR_JAVA -DSRC680=SRC680   -DSHAREDLIB -D_DLL_  
-fexceptions -fno-enforce-eh-specs -DEXCEPTIONS_ON  -o
../../unxlngi6.pro/slo/breakiteratorImpl.o
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiteratorImpl.cxx

In file included from
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/cppuhelper/implbase2.hxx:43,
                 from ../../inc/breakiteratorImpl.hxx:50,
                 from
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiteratorImpl.cxx:40:
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:305:
warning: empty body in an else-statement
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor, DataCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:329:
warning: empty body in an else-statement
if test -f ../../unxlngi6.pro/slo/breakiteratorImpl.o ; then touch
../../unxlngi6.pro/slo/breakiteratorImpl.obj ; fi
------------------------------
Making: ../../unxlngi6.pro/slo/breakiterator_cjk.obj
g++  -fmessage-length=0 -c -Os -fno-strict-aliasing   -I. 
-I../../unxlngi6.pro/inc/breakiterator -I../inc -I../../inc/pch -I../../inc
-I../../unx/inc -I../../unxlngi6.pro/inc -I.
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/external
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/unxlngi6/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/res
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc/Xp31
-I/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include -I/usr/include    
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/offuh -I.
-I../../res -I. -pipe -mtune=pentiumpro -fvisibility-inlines-hidden -Wall
-Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor
  -fpic -DLINUX -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DNPTL -DGLIBC=2
-DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1
-DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX
-DCPPU_ENV=gcc3
-DGXX_INCLUDE_PATH=/usr/lib/gcc/i686-pc-linux-gnu/4.2.2/../../../../include/c++/4.2.2
-DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE
-DGSTREAMER -DCUI -DSOLAR_JAVA -DSRC680=SRC680   -DSHAREDLIB -D_DLL_  
-fexceptions -fno-enforce-eh-specs -DEXCEPTIONS_ON  -o
../../unxlngi6.pro/slo/breakiterator_cjk.o
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_cjk.cxx

In file included from
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/cppuhelper/implbase2.hxx:43,
                 from ../../inc/breakiteratorImpl.hxx:50,
                 from ../../inc/breakiterator_unicode.hxx:39,
                 from ../../inc/breakiterator_cjk.hxx:39,
                 from
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_cjk.cxx:41:
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:305:
warning: empty body in an else-statement
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor, DataCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:329:
warning: empty body in an else-statement
if test -f ../../unxlngi6.pro/slo/breakiterator_cjk.o ; then touch
../../unxlngi6.pro/slo/breakiterator_cjk.obj ; fi
------------------------------
Making: ../../unxlngi6.pro/slo/breakiterator_ctl.obj
g++  -fmessage-length=0 -c -Os -fno-strict-aliasing   -I. 
-I../../unxlngi6.pro/inc/breakiterator -I../inc -I../../inc/pch -I../../inc
-I../../unx/inc -I../../unxlngi6.pro/inc -I.
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/external
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/unxlngi6/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/res
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc/Xp31
-I/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include -I/usr/include    
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/offuh -I.
-I../../res -I. -pipe -mtune=pentiumpro -fvisibility-inlines-hidden -Wall
-Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor
  -fpic -DLINUX -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DNPTL -DGLIBC=2
-DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1
-DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX
-DCPPU_ENV=gcc3
-DGXX_INCLUDE_PATH=/usr/lib/gcc/i686-pc-linux-gnu/4.2.2/../../../../include/c++/4.2.2
-DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE
-DGSTREAMER -DCUI -DSOLAR_JAVA -DSRC680=SRC680   -DSHAREDLIB -D_DLL_  
-fexceptions -fno-enforce-eh-specs -DEXCEPTIONS_ON  -o
../../unxlngi6.pro/slo/breakiterator_ctl.o
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_ctl.cxx

In file included from
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/cppuhelper/implbase2.hxx:43,
                 from ../../inc/breakiteratorImpl.hxx:50,
                 from ../../inc/breakiterator_unicode.hxx:39,
                 from ../../inc/breakiterator_ctl.hxx:39,
                 from
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_ctl.cxx:41:
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:305:
warning: empty body in an else-statement
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor, DataCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:329:
warning: empty body in an else-statement
if test -f ../../unxlngi6.pro/slo/breakiterator_ctl.o ; then touch
../../unxlngi6.pro/slo/breakiterator_ctl.obj ; fi
------------------------------
Making: ../../unxlngi6.pro/slo/breakiterator_hi.obj
g++  -fmessage-length=0 -c -Os -fno-strict-aliasing   -I. 
-I../../unxlngi6.pro/inc/breakiterator -I../inc -I../../inc/pch -I../../inc
-I../../unx/inc -I../../unxlngi6.pro/inc -I.
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/external
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/unxlngi6/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/res
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc/Xp31
-I/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include -I/usr/include    
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/offuh -I.
-I../../res -I. -pipe -mtune=pentiumpro -fvisibility-inlines-hidden -Wall
-Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor
  -fpic -DLINUX -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DNPTL -DGLIBC=2
-DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1
-DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX
-DCPPU_ENV=gcc3
-DGXX_INCLUDE_PATH=/usr/lib/gcc/i686-pc-linux-gnu/4.2.2/../../../../include/c++/4.2.2
-DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE
-DGSTREAMER -DCUI -DSOLAR_JAVA -DSRC680=SRC680   -DSHAREDLIB -D_DLL_  
-fexceptions -fno-enforce-eh-specs -DEXCEPTIONS_ON  -o
../../unxlngi6.pro/slo/breakiterator_hi.o
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_hi.cxx

In file included from
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/cppuhelper/implbase2.hxx:43,
                 from ../../inc/breakiteratorImpl.hxx:50,
                 from ../../inc/breakiterator_unicode.hxx:39,
                 from ../../inc/breakiterator_ctl.hxx:39,
                 from ../../inc/breakiterator_hi.hxx:12,
                 from
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_hi.cxx:12:
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:305:
warning: empty body in an else-statement
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor, DataCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:329:
warning: empty body in an else-statement
if test -f ../../unxlngi6.pro/slo/breakiterator_hi.o ; then touch
../../unxlngi6.pro/slo/breakiterator_hi.obj ; fi
------------------------------
Making: ../../unxlngi6.pro/slo/breakiterator_th.obj
g++  -fmessage-length=0 -c -Os -fno-strict-aliasing   -I. 
-I../../unxlngi6.pro/inc/breakiterator -I../inc -I../../inc/pch -I../../inc
-I../../unx/inc -I../../unxlngi6.pro/inc -I.
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/external
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/unxlngi6/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/res
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc/Xp31
-I/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include -I/usr/include    
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/offuh -I.
-I../../res -I. -pipe -mtune=pentiumpro -fvisibility-inlines-hidden -Wall
-Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor
  -fpic -DLINUX -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DNPTL -DGLIBC=2
-DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1
-DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX
-DCPPU_ENV=gcc3
-DGXX_INCLUDE_PATH=/usr/lib/gcc/i686-pc-linux-gnu/4.2.2/../../../../include/c++/4.2.2
-DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE
-DGSTREAMER -DCUI -DSOLAR_JAVA -DSRC680=SRC680   -DSHAREDLIB -D_DLL_  
-fexceptions -fno-enforce-eh-specs -DEXCEPTIONS_ON  -o
../../unxlngi6.pro/slo/breakiterator_th.o
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_th.cxx

In file included from
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/cppuhelper/implbase2.hxx:43,
                 from ../../inc/breakiteratorImpl.hxx:50,
                 from ../../inc/breakiterator_unicode.hxx:39,
                 from ../../inc/breakiterator_ctl.hxx:39,
                 from ../../inc/breakiterator_th.hxx:38,
                 from
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_th.cxx:39:
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:305:
warning: empty body in an else-statement
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor, DataCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:329:
warning: empty body in an else-statement
if test -f ../../unxlngi6.pro/slo/breakiterator_th.o ; then touch
../../unxlngi6.pro/slo/breakiterator_th.obj ; fi
------------------------------
Making: ../../unxlngi6.pro/slo/breakiterator_unicode.obj
g++  -fmessage-length=0 -c -Os -fno-strict-aliasing   -I. 
-I../../unxlngi6.pro/inc/breakiterator -I../inc -I../../inc/pch -I../../inc
-I../../unx/inc -I../../unxlngi6.pro/inc -I.
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/external
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/unxlngi6/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc
-I/home/hussam/packages/OOo/2.4/src/OOo2/res
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/stl
-I/home/hussam/packages/OOo/2.4/src/OOo2/solenv/inc/Xp31
-I/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/include -I/usr/include    
-I/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/offuh -I.
-I../../res -I. -pipe -mtune=pentiumpro -fvisibility-inlines-hidden -Wall
-Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor
  -fpic -DLINUX -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DNPTL -DGLIBC=2
-DX86 -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1
-DSTLPORT_VERSION=400 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX
-DCPPU_ENV=gcc3
-DGXX_INCLUDE_PATH=/usr/lib/gcc/i686-pc-linux-gnu/4.2.2/../../../../include/c++/4.2.2
-DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE
-DGSTREAMER -DCUI -DSOLAR_JAVA -DSRC680=SRC680   -DSHAREDLIB -D_DLL_  
-fexceptions -fno-enforce-eh-specs -DEXCEPTIONS_ON  -o
../../unxlngi6.pro/slo/breakiterator_unicode.o
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_unicode.cxx

In file included from
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/cppuhelper/implbase2.hxx:43,
                 from ../../inc/breakiteratorImpl.hxx:50,
                 from ../../inc/breakiterator_unicode.hxx:39,
                 from
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_unicode.cxx:39:
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:305:
warning: empty body in an else-statement
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:
In static member function 'static Inst*<unnamed>::rtl_Instance<Inst, InstCtor,
Guard, GuardCtor, Data, DataCtor>::create(InstCtor, GuardCtor, DataCtor)':
/home/hussam/packages/OOo/2.4/src/OOo2/solver/680/unxlngi6.pro/inc/rtl/instance.hxx:329:
warning: empty body in an else-statement
/usr/include/unicode/rbbi.h: In member function 'void
com::sun::star::i18n::BreakIterator_Unicode::loadICUBreakIterator(const
com::sun::star::lang::Locale&, sal_Int16, sal_Int16, const sal_Char*, const
rtl::OUString&)':
/usr/include/unicode/rbbi.h:618: error: 'virtual void
icu_3_8::RuleBasedBreakIterator::setBreakType(int32_t)' is protected
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_unicode.cxx:145:
error: within this context
/usr/include/unicode/rbbi.h:618: error: 'virtual void
icu_3_8::RuleBasedBreakIterator::setBreakType(int32_t)' is protected
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_unicode.cxx:146:
error: within this context
/usr/include/unicode/rbbi.h:618: error: 'virtual void
icu_3_8::RuleBasedBreakIterator::setBreakType(int32_t)' is protected
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_unicode.cxx:147:
error: within this context
/usr/include/unicode/rbbi.h:618: error: 'virtual void
icu_3_8::RuleBasedBreakIterator::setBreakType(int32_t)' is protected
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator/breakiterator_unicode.cxx:148:
error: within this context
dmake:  Error code 1, while making
'../../unxlngi6.pro/slo/breakiterator_unicode.obj'
---* tg_merge.mk *---

ERROR: Error 65280 occurred while making
/home/hussam/packages/OOo/2.4/src/OOo2/i18npool/source/breakiterator
Comment 1 ooo 2007-10-31 09:32:41 UTC
There isn't much we can do about that right now. OOo's ICU was patched for a
public method that was needed to fix issue 81519. You'll need to either use
OOo's ICU or patch system's ICU in source/common/unicode/rbbi.h to make
setBreakType() public:

    public:
        virtual void setBreakType(int32_t type);
    protected:

However, patching the system's ICU and exposing setBreakType() to the outer
world may not be wanted because the method is intended to be an internal method.

@khong: Karl, from the short discussion on the ICU mailing list I conclude that
handling this differently would imply redefining the Thai dictionary and to use
some ICU service hooks. That sounds like much work, do you have any overview
what it would  take?

Thanks
  Eike
Comment 2 rene 2007-10-31 14:07:03 UTC
er: in that case the cws sttill was broken because it didbn't add a check for
that function to the ICU configure check... And you could have coordinated this.
This now also breaks system-icu with 2.3.1... :/
Comment 3 rene 2007-10-31 14:19:59 UTC
proposed patch which gives the following with plain libicu:

checking which icu to use... external
checking for unicode/rbbi.h... checked.
checking for genbrk... /usr/bin/genbrk
checking for genccode... /usr/sbin/genccode
checking for gencmn... /usr/sbin/gencmn
checking ICU version... OK
checking for setBreakType in -licu... no
configure: error: setBreakType needed public: in libicu

is

--- configure.in        25 Oct 2007 16:00:29 -0000      1.223
+++ configure.in        31 Oct 2007 13:19:04 -0000
@@ -3780,6 +3780,8 @@
       else return 1;
 }
       ], [AC_MSG_RESULT(OK)], [AC_MSG_RESULT([not suitable, only 3.6 supported
currently])])
+      AC_CHECK_LIB(icu, setBreakType, [],
+          [AC_MSG_ERROR(setBreakType needed public: in libicu)], [])
 else
     AC_MSG_RESULT([internal])
     SYSTEM_ICU=NO

Of course, it would have been better if you didn't deliberately break
compatibility with system-icu in a *bugfix-only* release.... Setting regression
keyword...
Comment 4 rene 2007-10-31 14:42:30 UTC
3.6 probably will have the same problem, adapting summary
Comment 5 ooo 2007-10-31 15:46:17 UTC
Sorry for not thinking of --with-system-icu before, alarm should had rang when
Karl told me about the fix.

I'm not convinced of
AC_CHECK_LIB(icu, setBreakType, ...)
I didn't try, but I doubt it would not fail if setBreakType() was public, since
that is a member method of a class inside a namespace:
icu_3_8::RuleBasedBreakIterator::setBreakType(int32_t)

How could that be treated with configure? Btw, the library is libicuuc.so
Comment 6 rene 2007-10-31 15:48:41 UTC
er: hmm, good points, I should not have done this after coming back after having
travelled the half day. back tp the drawing board.

Will build a "fixed" icu and check...
Comment 7 karl.hong 2007-10-31 19:54:56 UTC
Eike, I go back to check the question I posted, I don't see anyon suggested to
use service hooks. Which thread you see the discussion?
Comment 8 rene 2007-10-31 21:08:56 UTC
Created attachment 49302 [details]
configure check
Comment 9 rene 2007-10-31 21:15:43 UTC
er: ok, if there's no other way to fix this (a solution which works with the
normal icu of course is the best wa<..), the workaround of checking for a
patched configure is the only solution. The just attached patch does this (and
works, tested it with patched and unpatched, and also with 3.6 and 3.8)
Comment 10 ooo 2007-11-01 12:18:29 UTC
Looks viable, I'll promote this on dev@releases for 2.3.1

@khong: Karl, the service hooks were mentioned by George Rhoten on 2007-09-20 in
an answer to your question on the icu-support list, see
Message-Id: <OF29B7CED7.A82FB332-ON8625735C.00531CC9-8825735C.00543647@us.ibm.com>
Unfortunately his mail was base64 encoded, so pointing to
http://sourceforge.net/mailarchive/forum.php?thread_name=OF29B7CED7.A82FB332-ON8625735C.00531CC9-8825735C.00543647%40us.ibm.com&forum_name=icu-support
is rather useless or at least cumbersome..
If the mail didn't reach you I can forward it (already decoded ;-)
Let's take that off this issue though.
Comment 11 oliver.bolte 2007-11-01 12:50:13 UTC
.
Comment 12 ooo 2007-11-01 19:07:54 UTC
Retargeting to 2.3.1
Comment 13 rt 2007-11-02 09:31:16 UTC
Patch (attachment with id=49302) submitted as masterfix for OOG680 m8.
Comment 14 rt 2007-11-02 09:46:03 UTC
Now also comitted to SRC680 code line. configure re-generated for both cases. ->
fixed 
Comment 15 ooo 2007-11-26 17:51:31 UTC
Present in master, closing.